package com.sckw.core.model.base;

import com.sckw.core.utils.StringTimeUtil;
import org.apache.commons.lang3.StringUtils;

/**
 * @author xucaiqin
 * @date 2023-07-27 19:30:53
 */
public interface TimeBase {
    default String getStartDateTime(String time) {
        if (StringUtils.isBlank(time)) {
            return null;
        }
        return StringTimeUtil.fillStart(time);
    }

    default String getEndDateTime(String time) {
        if (StringUtils.isBlank(time)) {
            return null;
        }
        return StringTimeUtil.fillEnd(time);
    }
}
